## org.aspectj.weaver.tools
Interface GeneratedClassHandler

All Known Subinterfaces:
  WeavingClassLoader

All Known Implementing Classes:
  WeavingURLClassLoader

    public interface GeneratedClassHandler

Interface implemented by weaving class loaders to allow classes generated by the weaving process to be defined.

Method Summary
`void` `acceptClass(java.lang.String name, byte[] bytes)` Accept class generated by WeavingAdaptor.

Method Detail

### acceptClass

    void acceptClass(java.lang.String name,
                     byte[] bytes)

  Accept class generated by WeavingAdaptor. The class loader should store the class definition in its local cache until called upon to load it.

  Parameters:
    `name` - class name
    `bytes` - class definition